#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27, 16, 2);

#define sensor_LEFT  2
#define sensor_RIGHT 3
#define LED_LEFT     4    
#define LED_RIGHT    5

int status_LEFT = 0;
int status_RIGHT = 0;

long previousTimer_LEFT = 0;
long previousTimer_RIGHT = 0;

void setup() {

  pinMode(sensor_LEFT, INPUT_PULLUP);
  pinMode(sensor_RIGHT, INPUT_PULLUP);
  pinMode(LED_LEFT, OUTPUT);
  pinMode(LED_RIGHT, OUTPUT);
  lcd.init();                 
  lcd.backlight();
  lcd.setCursor(0, 0);
  lcd.print("Waiting ...");

}

void loop() {

  long timer = millis();
  status_LEFT = digitalRead(sensor_LEFT);
  status_RIGHT = digitalRead(sensor_RIGHT);

  if (status_LEFT == LOW) {
    digitalWrite(LED_LEFT, HIGH);
    previousTimer_LEFT = timer;
    if (previousTimer_RIGHT > 0) {
      lcd.setCursor(0, 0);
      lcd.print("            ");
      lcd.setCursor(0, 0);
      lcd.print("R->L: ");
      lcd.print(timer-previousTimer_RIGHT);
      lcd.print(" ms");
      previousTimer_LEFT = 0;
      previousTimer_RIGHT = 0;
    }
  } else {
    digitalWrite(LED_LEFT, LOW);  
  }

  if (status_RIGHT == LOW) {
    digitalWrite(LED_RIGHT, HIGH);
    previousTimer_RIGHT = timer;
    if (previousTimer_LEFT > 0) {
      lcd.setCursor(0, 1);
      lcd.print("            ");
      lcd.setCursor(0, 1);
      lcd.print("L->R: ");
      lcd.print(timer-previousTimer_LEFT);
      lcd.print(" ms");
      previousTimer_LEFT = 0;
      previousTimer_RIGHT = 0;
    }
  } else {
    digitalWrite(LED_RIGHT, LOW);
  }
  
}